# Check text against the rules in force

`POST /compliance/check` · Rivier · compliance

Check text against the rules in force.

- Scope: compliance:read
- Mcp: rivier_compliance_check
- Graphql: Query.complianceCheckRun
- Sdk: compliance.check.run
- Cli: compliance check run

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/compliance/check' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
